"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handlePubSubMessage = void 0;
const pino_1 = __importDefault(require("pino"));
const pino_config_1 = require("./pino-config");
async function handlePubSubMessage(args) {
    const { message, parseJson = true, handler, context, log = (0, pino_1.default)((0, pino_config_1.gcpLogOptions)()), } = args;
    let data = Buffer.from(message.data, 'base64').toString().trim();
    if (parseJson) {
        data = JSON.parse(data);
    }
    return handler({
        message,
        data,
        context,
        log,
    });
}
exports.handlePubSubMessage = handlePubSubMessage;
//# sourceMappingURL=common.js.map