import type * as express from 'express';
import pino from 'pino';
import { PubSubConfig, PubSubHandler } from '../types';
export interface PubSubCloudFunctionsConfig extends Omit<PubSubConfig, 'handler' | 'path'> {
    logger?: pino.LoggerOptions;
}
export declare type CloudFunctionFun = (req: express.Request, res: express.Response) => Promise<void>;
export declare function createPubSubCloudFunctions<T = unknown>(handler: PubSubHandler<T>, options?: PubSubCloudFunctionsConfig): CloudFunctionFun;
