"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPubSubCloudFunctions = void 0;
const pino_1 = __importDefault(require("pino"));
const common_1 = require("../common");
const pino_config_1 = require("../pino-config");
function createPubSubCloudFunctions(handler, options = {}) {
    const { parseJson, onError, logger } = options;
    return async (req, res) => {
        try {
            await (0, common_1.handlePubSubMessage)({
                message: req.body.message,
                handler,
                context: req.body,
                parseJson,
                log: (0, pino_1.default)((0, pino_config_1.gcpLogOptions)(logger)),
            });
            res.status(200).send();
        }
        catch (error) {
            if (onError) {
                await onError(error);
                res.status(200).send();
            }
            else
                throw error;
        }
    };
}
exports.createPubSubCloudFunctions = createPubSubCloudFunctions;
//# sourceMappingURL=cloud-functions.js.map