"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPubSubServer = void 0;
const type_provider_typebox_1 = require("@fastify/type-provider-typebox");
const fastify_1 = __importDefault(require("fastify"));
const fastify_plugin_1 = require("./fastify-plugin");
function createPubSubServer(handler, config = {}) {
    let { host = '0.0.0.0' } = config;
    const { fastifyConfig, port = Number(process.env.PORT) || 8000, address, parseJson = true, path = '/', onError, } = config;
    if (address) {
        host = address;
    }
    const fastify = (0, fastify_1.default)({
        ...fastifyConfig,
        ajv: {
            plugins: [type_provider_typebox_1.ajvTypeBoxPlugin],
        },
    });
    fastify.register(fastify_plugin_1.pubSubFastifyPlugin, { handler, parseJson, path, onError });
    return {
        async listen() {
            await fastify.listen({ port, host });
        },
        fastify,
    };
}
exports.createPubSubServer = createPubSubServer;
//# sourceMappingURL=server.js.map