import { Static } from '@sinclair/typebox';
import { FastifyLoggerInstance } from 'fastify';
export interface PubSubConfig {
    /**
     * Handler
     */
    handler: PubSubHandler;
    /**
     * OnError Handler
     *
     * When this is set, errors will not be
     * thrown.
     */
    onError?: OnErrorHandler;
    /**
     * This will run JSON.parse on request data
     *
     * **Tip**: `false` when sending strings
     * @default true
     */
    parseJson?: boolean;
    /**
     * Use this to set a different path
     * @default /
     */
    path?: string;
}
export declare const PubSubMessage: import("@sinclair/typebox").TObject<{
    attributes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TString>>;
    data: import("@sinclair/typebox").TString;
    messageId: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
}>;
export declare type PubSubMessageType = Static<typeof PubSubMessage>;
export declare const PubSubRequest: import("@sinclair/typebox").TObject<{
    message: import("@sinclair/typebox").TObject<{
        attributes: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TString>>;
        data: import("@sinclair/typebox").TString;
        messageId: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>;
    subscription: import("@sinclair/typebox").TString;
}>;
export declare type PubSubRequestType = Static<typeof PubSubRequest>;
export declare class PubSubHandlerResponse {
    statusCode?: number;
}
export declare type PubSubHandler<T = any> = (args: {
    message: PubSubMessageType;
    data?: T;
    context?: unknown;
    log: FastifyLoggerInstance;
}) => Promise<PubSubHandlerResponse | void> | PubSubHandlerResponse | void;
export declare type OnErrorHandler = (error: unknown) => void | Promise<void>;
